﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace LinqDemo
{
    public class Person
    {
        private string m_FirstName;
        
        // C# 1.0/2.0 的属性定义方式
        public string FirstName
        {
            get { return m_FirstName; }
            set { m_FirstName = value; }
        }

        // C# 3.0 的自动属性(Automatic Properties)
        public string LastName { get; set; }
        public int Age { get; set; }

        public override string ToString()
        {
            return string.Format("{0} {1}, {2} years old.", FirstName, LastName, Age);
        }
    }
}
